OrcFile.BloomFilterVersion (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc

## Enum OrcFile.BloomFilterVersion

- java.lang.Object
- - java.lang.Enum<OrcFile.BloomFilterVersion>
  - - org.apache.orc.OrcFile.BloomFilterVersion

- All Implemented Interfaces:
    Serializable, Comparable<OrcFile.BloomFilterVersion>
  Enclosing class:
    OrcFile

      public static enum OrcFile.BloomFilterVersion
      extends Enum<OrcFile.BloomFilterVersion>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ORIGINAL`
    `UTF8`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OrcFile.BloomFilterVersion` | `fromString(String s)`
    `String` | `toString()`
    `static OrcFile.BloomFilterVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OrcFile.BloomFilterVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORIGINAL

          public static final OrcFile.BloomFilterVersion ORIGINAL

    - #### UTF8

          public static final OrcFile.BloomFilterVersion UTF8

  - ### Method Detail

    - #### values

          public static OrcFile.BloomFilterVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OrcFile.BloomFilterVersion c : OrcFile.BloomFilterVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OrcFile.BloomFilterVersion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<OrcFile.BloomFilterVersion>`

    - #### fromString

          public static OrcFile.BloomFilterVersion fromString(String s)

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.